<AnakondaAuthRecoveryPwd>
    <div class="container modal-container modal reset-password">
         <div class="sign-in">
            <div class="sign-in__title">
                <h1 data-lang-en="Reset a password" data-lang-cn="重置密码">重置密码</h1>
            </div>
            <ul class="sign-in__tabs tab-block">
                <li class="tab phone-tab reg_nav_1 active"= data="phone" data-lang-en="Phone" data-lang-cn="手机号">
                    手机号
                </li>
                <li class="tab email-tab reg_nav_2" data="email" data-lang-en="Email" data-lang-cn="邮箱">邮箱</li>
            </ul>
            <div class="reg_block">
            <img src="/assets/orange-black/images/orange1.png" class="sign-in-orange">
                <div class="reg_form">
                    <form class="active tab-content js-recovery-form js-recovery-form_phone phone form_phone" data="phone">
                        <div class="error-message"></div>
                        <div class="form_phone_input">
                            <div class="form_phone_choise">
                                <div class="form_phone_choise_block">
                                    <div>
                                        <div>
                                            <img class="flag" src="/assets/preland/Fire_quiz_registration/img/flag.png"
                                                 alt="flag"/>
                                        </div>
                                        <span>China</span>
                                    </div>
                                    <div>
                                        <span>+86</span>
                                        <div class="checkbox">
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="form_phone_flag_arrow">
                                <div class="form_phone_flag">
                                    <img src="/assets/preland/Fire_quiz_registration/img/flag.png" alt="flag"/>
                                </div>
                                <div class="form_phone_arrow">
                                    <img src="/assets/preland/Fire_quiz_registration/img/arrow_3_white.svg" alt="flag"/>
                                </div>
                            </div>
                                <input class="form_phone_input_1" type="text" name="phone-prefix" value="+86"
                                       placeholder="+86" readonly/>
                                <input class="form_phone_input_2 js-phone" name="phone-body" type="tel"
                                       data-lang-en="Fill your phone number" placeholder="输入您的手机号"
                                       data-lang-cn="" data-placeholder-cn="输入您的手机号">

                            <input type="hidden" name="phone" value="" class="js-full-number">
                            <input type="hidden" name="aToken" value="">

                        </div>
                            <div class="confirm-code">
                                <div class="form-group password form_password_input">
                                <a class="get-code js-phone-code-btn" data-lang-en="get a code">获取验证码</a>
                                    <input class="recovery-pass" type="password" name="phone-confirm-code"
                                           data-lang-en="Fill your confirmation code" placeholder="输入您的验证码">
                                </div>
                            </div>

                            <div class="form-group password form_password_input">
                                <input type="password" name="pwd" id="pwd_phone" data-lang-en="Fill your password"
                                       placeholder="填写密码">
                                       <div class="password-control"></div>
                            </div>
                            <div class="form-group password form_password_input">
                                <input type="password" name="pwd_rpt" data-lang-en="Confirm your password"
                                       placeholder="再次输入您的密码">
                                       <div class="password-control"></div>
                            </div>
                           <button type="submit" class="button_mail" data-lang-en="Reset a password">重置密码</button>
                    </form>
                    <form class="tab-content js-recovery-form js-recovery-form_email email form_email " data="email">
                        <div class="error-message"></div>
                        <div>
                            <div class="form-group">
                                <input type="email" name="email" data-lang-en="Fill your email"
                                       placeholder="输入您的邮箱">
                            </div>
                        </div>
                        <div>
                            <div class="lds-ring js-form-loader">
                                <div></div>
                                <div></div>
                                <div></div>
                                <div></div>
                            </div>
                            <button type="submit" class="button_mail" data-lang-en="Reset a password">重置密码</button>
                        </div>
                    </form>

                </div>
            </div>
            <div class="sign-in__socials">
                <div>
                    <img src="/assets/orange-black/images/Google.png" alt="Google">
                </div>
                <div>
                    <img src="/assets/orange-black/images/Gmail.png" alt="Gmail">
                </div>
                <div>
                    <img src="/assets/orange-black/images/Youtube.png" alt="Youtube">
                </div>
                <div>
                    <img src="/assets/orange-black/images/Facebook.png" alt="Facebook">
                </div>
                <div>
                    <img src="/assets/orange-black/images/Twitter.png" alt="Twitter">
                </div>
                <div>
                    <img src="/assets/orange-black/images/X.png" alt="X">
                </div>
                <div>
                    <img src="/assets/orange-black/images/Instagram.png" alt="Instagram">
                </div>
                <div>
                    <img src="/assets/orange-black/images/WhatsApp.png" alt="WhatsApp">
                </div>
                <div class="pornhub">
                    <img src="/assets/orange-black/images/Pornhub.png" alt="Pornhub">
                </div>
            </div>
        </div>
    </div>

    <script>
        var self = this;
        this.aToken = opts.aToken;

        this.submitAuthForm = function () {
            $('#auth-form').submit();
            return false;
        }

        this.on('mount', function () {

        var langOnLoad = getLangCookie();
            switchLanguage(langOnLoad);


        function switchLanguage(lang) {
            $("[data-lang-en]").each(function() {
                if (lang === 'en') {
                    $(this).text($(this).attr("data-lang-en"));
                    if ($(this).is("input")) {
                        $(this).attr('placeholder', $(this).attr("data-lang-en"));
                    }
                } else {
                    $(this).text($(this).attr("data-lang-cn"));
                    if ($(this).is("input")) {
                        $(this).attr('placeholder', $(this).attr("data-placeholder-cn"));
                    }
                }
            });
        }

        function getLangCookie(){
            var cookieValue = document.cookie.split('=')[1];
            return cookieValue === 'en' ? 'en' : 'cn';
        }

        var infoMessagesEmail = {
            en: {
                email_success: "Email sent successfully",
                email_fail: "incorrect",
            },
            cn: {
                email_success: "重置密码邮件已发送成功",
                email_fail: "错误",
            }
        };

        var infoMessagesPhone = {
            en: {
                phone_short: "The phone number is empty!",
                phone_numeric: "Please only enter numeric characters! (Allowed input:0-9)",
                phone_confirm_code: "The phone number is too short!",
                confirm_code_error: "Failed to confirm verification code",
            },
            cn: {
                phone_short: "电话号码是空的!",
                phone_numeric: "电话号码不能包含特殊字符!",
                phone_confirm_code: "电话号码太短了!",
                confirm_code_error: "确认验证码失败",
            }
        };

            $('.reg_nav_1').click(function () {
                        $(".error-message").hide();
                        $('.reg_nav_1').addClass('active');
                        $('.reg_nav_2').removeClass('active');
                        $('.form_email').fadeOut(0);
                        $('.form_phone').fadeIn(0);
                    })
                    $('.reg_nav_2, .return_form_email p').click(function () {
                        $(".error-message").hide();
                        $('.reg_nav_2').addClass('active');
                        $('.reg_nav_1').removeClass('active');
                        $('.form_phone_choise').fadeOut(0);
                        $('.form_phone').fadeOut(0);
                        $('.form_email').fadeIn(0);
                    })
                    $('.form_phone_flag_arrow').click(function () {
                        $('.form_phone_choise').fadeIn(0);
                    })
                    $('.form_phone_choise_block').click(function () {
                        $('.form_phone_choise').fadeOut(0);
                    })

            var phoneCode,
                counterId = false,
                counterStart = 30;

            $("[data-lang-en]").each(function () {
                $(this).attr('data-lang-cn', $(this).text());
                if ($(this).is("input")) {
                    $(this).attr('data-placeholder-cn', $(this).attr('placeholder'));
                }
            });

            $('.js-phone-code-btn').on('click', function () {
                var btnObj = $(this),
                    phoneBodyVal = $('input[name="phone-body"]').val();

                if (phoneBodyVal.length < 5) {
                    alert(infoMessagesPhone[getLangCookie()].phone_short); // Phone number is short
                    return false;
                }
                if (!/^[0-9]+$/.test(phoneBodyVal)) {
                    alert(infoMessagesPhone[getLangCookie()].phone_numeric); // 'Please only enter numeric characters! (Allowed input:0-9)'
                    return false;
                }

                if (counterId === false) { // check timer run
                    counterId =
                        setInterval(function () {
                            btnObj.text(counterStart);
                            btnObj.css('opacity', 0.5);
                            if (counterStart == 0) {
                                btnObj.text('Get a Code');
                                btnObj.css('opacity', 1);
                                counterStart = 30;
                                clearTimeout(counterId);
                                counterId = false;
                            }
                            counterStart--;
                        }, 1000);


                    var phonePrefixVal = $('input[name="phone-prefix"]').val();
                    fullPhone = parseInt(phonePrefixVal) + "" + phoneBodyVal;

                    var dataStr = 'phone=' + fullPhone,
                        dataStr = self.b64EncodeUnicode(dataStr);

                    $.ajax({
                        url: '/rest/auth/recoveryPwd',
                        data: {data: dataStr},
                        success: function (r) {
                            if (r.ok) {
                                phoneCode = r.phone_code;
                                $('input[name="aToken"]').val(r.aToken);
                            }
                        },
                    });
                }
            });

            function recoveryPwd(form) {
                var userTypeId = $(form).attr('data');
                if (userTypeId == 'phone') {
                    var phoneConfirmCode = $('input[name="phone-confirm-code"]').val();
                    if (phoneConfirmCode != phoneCode) {
                        alert(infoMessagesPhone[getLangCookie()].confirm_code_error); // confirm code Error
                        return false;
                    }
                }

                var formButton = $(form).find('button'),
                    formLoader = $(form).find('.js-form-loader');

                formLoader.css('opacity', '1');
                formButton.attr('disabled', true);

                var data = $(form).serialize();
                data = self.b64EncodeUnicode(data);

                if (userTypeId == 'email') {
                    $.ajax({
                        url: '/rest/auth/recoveryPwd',
                        data: {data: data},
                        success: function (r) {
                            if (r.ok) {
                                alert(infoMessagesEmail[getLangCookie()].email_success); // Email sent successfully
                                window.location.href = '/';
                                return;
                            } else {
                                alert(infoMessagesEmail[getLangCookie()].email_fail);
                            }

                            window.location.reload();
                        },
                    });
                } else {
                    $.ajax({
                        url: '/rest/auth/updatePass',
                        data: {data: data},
                        success: function (r) {
                            if (r.ok) {
                                var cookieName = 'mleko';
                                var myDate = new Date();
                                myDate.setMonth(myDate.getMonth() + 12);
                                var appDomain = window.location.hostname;
                                document.cookie = cookieName + "=" + $('input[name="aToken"]').val() + ";expires=" + myDate + ";path=/;domain=" + appDomain;
                            } else {
                                alert(infoMessagesPhone[getLangCookie()].email_fail);
                            }

                            window.location.reload();
                        },
                    });
                }
            }

            $('.js-recovery-form_phone').validate({
                rules: {
                    pwd: {
                        minlength: 6,
                        required: true
                    },
                    pwd_rpt: {
                        minlength: 6,
                        required: true,
                        equalTo: "#pwd_phone"
                    }
                },
                messages: {
                    pwd: {
                        required: "密码是空的!",
                        minlength: "密码必须至少有6个字符!",
                    },
                    pwd_rpt: {
                        required: "密码是空的!",
                        minlength: "密码必须至少有6个字符!",
                        equalTo: "确认密码必须相同!"
                    }
                },
                submitHandler: function (form) {
                    recoveryPwd(form);
                    return false;
                }
            });

            $('.js-recovery-form_email').validate({
                rules: {
                    email: {
                        required: true,
                        email: true
                    }
                },
                messages: {
                    email: {
                        required: "邮件为空",
                    },
                },
                submitHandler: function (form) {
                    recoveryPwd(form);
                    return false;
                }
            });


            let tabAttr = $('.tab.active').attr('data');
            $(`.tab-content[data=${tabAttr}]`).addClass('active')

            $('.tab').on('click', function () {
                if (!$(this).hasClass('active')) {
                    $('.tab.active').removeClass('active');
                    $('.tab-content.active').removeClass('active')
                    $(this).addClass('active')
                    let thisAttr = $(this).attr('data');
                    $(`.tab-content[data=${thisAttr}]`).addClass('active')
                }
            });

            $('.password-control').on('click', function () {
                let passwordElem = $(this).closest('.form-group').find('input');

                if ($(passwordElem).attr('type') == 'password') {
                    $(this).addClass('view');
                    $(passwordElem).attr('type', 'text');
                } else {
                    $(this).removeClass('view');
                    $(passwordElem).attr('type', 'password');
                }
                return false;
            });

            $('.country-resalt').on('click', function () {
                if ($('.mobile-lang-popup input[value="chn"]').is(':checked')) {
                    $('.country-select.china').show();
                    if ($(window).width() < 992) {
                        $('body').addClass('bg');
                        $('body').css('overflow', 'auto')
                    }
                } else {
                    $('.country-select.default').show();
                    if ($(window).width() < 992) {
                        $('body').addClass('bg')
                        $('body').css('overflow', 'auto')
                    }
                }
            });

            $('.country-select__item').on('click', function () {
                $('.country-select').hide();
                $('body').removeClass('bg')
            });

            $(document).mouseup(function (e) {
                let container = $(".country-select");
                if (!container.is(e.target) && container.has(e.target).length === 0 && (e.which === 1)
                    && $(container).attr('style') == 'display: block;') {
                    $('.country-select').hide();
                    $('body').removeClass('bg')
                }
            });
        });

        this.b64EncodeUnicode = function (str) {
            return btoa(encodeURIComponent(str).replace(/%([0-9A-F]{2})/g,
                function toSolidBytes(match, p1) {
                    return String.fromCharCode('0x' + p1);
                }));
        }
    </script>

    <script>
        $(document).ready(function () {

            function clearCountry() {
                var phoneCode = $(document).find("form_phone_input_1").text();

                $('.form_phone_choise_block .checkbox').each(function () {
                    $(this).removeClass("checkbox--active");
                });

                $(`.form_phone_choise_block span:contains(${phoneCode})`).each(function () {
                    var text = $(this).text().trim();
                    if (text === phoneCode) {
                        $(this).next(".checkbox").addClass("checkbox--active");
                    }
                });
            }

            clearCountry();

            $(".form_phone_choise_block").on("click", function () {
                clearCountry();
                var phoneCode = $(this).find("span:eq(1)").text();

                $(document).find(".form_phone_flag img").remove();

                var imgCopy = $(this).find("img").clone().appendTo(".form_phone_flag");

                $(this).find(".checkbox").toggleClass("checkbox--active");

                $(".form_phone_input_1").val(phoneCode);
            });

            var targetNode = $('.form_phone_input_2')[0];

            var observer = new MutationObserver(function (mutations) {
                mutations.forEach(function (mutation) {
                    if (mutation.attributeName === 'class') {
                        if ($(targetNode).hasClass('error')) {
                            $('.form_phone_input_1').addClass('error');
                        } else {
                            $('.form_phone_input_1').removeClass('error');
                        }
                    }
                });
            });

            var config = {attributes: true};

            observer.observe(targetNode, config);
        });
    </script>
</AnakondaAuthRecoveryPwd>
